Search orders by filters (V4)
POST
/v4/orders/search
const url = 'https://api-crm-staging.divinea.com/api/v4/orders/search';const options = { method: 'POST', headers: {APIKey: '<APIKey>', 'Content-Type': 'application/json'}, body: '{"dateFrom":"2026-04-15T12:00:00Z","dateTo":"2026-04-15T12:00:00Z","limit":1,"offset":1,"orderType":"example","paymentMethod":"example","sourceExternalId":"example","sourceExternalType":"example","status":"example"}'};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request POST \ --url https://api-crm-staging.divinea.com/api/v4/orders/search \ --header 'APIKey: <APIKey>' \ --header 'Content-Type: application/json' \ --data '{ "dateFrom": "2026-04-15T12:00:00Z", "dateTo": "2026-04-15T12:00:00Z", "limit": 1, "offset": 1, "orderType": "example", "paymentMethod": "example", "sourceExternalId": "example", "sourceExternalType": "example", "status": "example" }'Supports status, paymentMethod, sourceExternalType, sourceExternalId and orderType filters with pagination.
Authorizations
Sezione intitolata “Authorizations”Parameters
Sezione intitolata “Parameters”Header Parameters
Sezione intitolata “Header Parameters”APIKey
string
APIKey
Request Body
Sezione intitolata “Request Body”RequestParam
Media typeapplication/json
SearchParam
object
dateFrom
string format: date-time
dateTo
string format: date-time
limit
integer format: int32
offset
integer format: int32
orderType
string
paymentMethod
string
sourceExternalId
string
sourceExternalType
string
status
string
Examplegenerated
{ "dateFrom": "2026-04-15T12:00:00Z", "dateTo": "2026-04-15T12:00:00Z", "limit": 1, "offset": 1, "orderType": "example", "paymentMethod": "example", "sourceExternalId": "example", "sourceExternalType": "example", "status": "example"}Responses
Sezione intitolata “Responses”OK
Media type*/*